unit uPluginRemesasProveedor;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCRemesasProveedor = interface(IInterface)
  ['{31B25C1E-2E4B-4C6A-9E8D-D53D62319E4C}']
  end;

  TPluginRemesasProveedor = class(TModuleController, IMCRemesasProveedor)
    actRemesasProveedor: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    N1: TMenuItem;
    RemesasProveedor1: TMenuItem;
    procedure actRemesasProveedorExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uRemesasProveedorController, uBizRemesasProveedor, uRemesasProveedorViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginRemesasProveedor.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginRemesasProveedor.actRemesasProveedorExecute(Sender: TObject);
var
  ARemesasProveedorController : IRemesasProveedorController;
  ARemesasProveedor : IBizRemesaProveedor;

begin
  ARemesasProveedorController := TRemesasProveedorController.Create;
  ARemesasProveedor := (ARemesasProveedorController.BuscarTodos as IBizRemesaProveedor);
  ARemesasProveedorController.VerTodos(ARemesasProveedor);
end;

constructor TPluginRemesasProveedor.Create(AOwner: TComponent);
begin
  inherited;
  uRemesasProveedorViewRegister.RegisterViews;
end;

destructor TPluginRemesasProveedor.Destroy;
begin
  uRemesasProveedorViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginRemesasProveedor);

finalization
  UnRegisterModuleClass(TPluginRemesasProveedor);

end.
